export interface HeapSDKInvocationResult {
    type: 'result';
    callbackId: string;
    data?: any;
    error?: string;
}
export interface HeapSDKInvocation {
    type: 'invocation';
    method: string;
    arguments?: Arguments;
    callbackId?: string;
}
export type HEAPSDKPayload = HeapSDKInvocation | HeapSDKInvocationResult;
export type Arguments = Record<string, ArgumentValue> | {
    javascriptEpochTimestamp?: number;
};
export type ArgumentValue = number | string | boolean | Array<ArgumentValue> | {
    [key: string]: ArgumentValue;
};
export type InvocationHandler = (method: string, args: Arguments) => Promise<any>;
export declare function isHeapSDKInvocationResult(payload: HEAPSDKPayload): payload is HeapSDKInvocationResult;
export declare function isHeapSDKInvocation(payload: HEAPSDKPayload): payload is HeapSDKInvocation;
