import type { Arguments, ArgumentValue } from '../bridge';
import type { HeapLogger } from '../logger';
import { InteractionNode, PageviewProperties, SourceInfo } from './types';
export declare function sanitizeProperties(properties: any | null | undefined, logger: HeapLogger, logSource: string | undefined): Record<string, string> | null;
export declare function isNonEmptyString(value: any): value is string;
export declare function sanitizeSourceInfo(source: SourceInfo | null | undefined, logger: HeapLogger, logSource: string | undefined): Arguments | null;
export declare function sanitizeTimestamp(value: Date | null | undefined, logger: HeapLogger, logSource: string | undefined): number | null;
export declare function sanitizePageviewProperties(properties: any | null | undefined, logger: HeapLogger, logSource: string | undefined): (PageviewProperties & ArgumentValue) | null;
export declare function extractPageviewKey(value: any | null | undefined, logger: HeapLogger, logSource: string | undefined): string | null;
export declare function sanitizeInteractionType(interaction: any, logger: HeapLogger, logSource: string | undefined): ArgumentValue | null;
export declare function sanitizeInteractionNodes(nodes: any, logger: HeapLogger, logSource: string | undefined): (Array<InteractionNode> & ArgumentValue) | null;
