export type Options = Record<string, any> | {
    baseUrl?: string;
};
export type PropertyValue = number | string | boolean | bigint;
export type Properties = Record<string, PropertyValue>;
export interface SourceInfo {
    name: string;
    version: string;
    platform: string;
    properties?: Properties;
}
export declare function isPropertyValue(value: any): value is PropertyValue;
export interface PageviewProperties {
    componentOrClassName?: string;
    title?: string;
    url?: string;
    sourceProperties?: Properties;
}
export interface Pageview<T = any> {
    pageviewKey: string;
    sessionId: string;
    properties: PageviewProperties;
    userInfo?: T;
}
export type InteractionType = 'unspecified' | 'click' | 'touch' | 'change' | 'submit' | {
    builtin: number;
} | {
    custom: string;
};
export interface InteractionNode {
    nodeName: string;
    nodeText?: string;
    nodeHtmlClass?: string;
    nodeId?: string;
    href?: string;
    accessibilityLabel?: string;
    attributes?: Record<string, string>;
    referencingPropertyName?: string;
}
