import type { InvocationHandler } from '../bridge';
export declare const enum LogLevel {
    None = "none",
    Error = "error",
    Warn = "warn",
    Info = "info",
    Debug = "debug",
    Trace = "trace"
}
export interface HeapLogger {
    error(message: string, source?: string): void;
    warn(message: string, source?: string): void;
    info(message: string, source?: string): void;
    debug(message: string, source?: string): void;
    trace(message: string, source?: string): void;
    setLogLevel(logLevel: LogLevel): void;
    getLogLevel(): Promise<LogLevel>;
}
export declare const createLogger: (handleInvocation: InvocationHandler) => HeapLogger;
